package com.cisdi.data.DHV.gateway.vo.dhv;

/**
 * @author jianghc
 * @function: 设备健康振动数据接入请求接口路径
 * @date 2022/5/6 15:46
 */
public interface YFDHV {


    //测点状态接口
    //{databaseName}
    String YF_DHV_MPS = "/databases/%s/measuringpoints";


    //测点方法接口
    //{dataBaseNamePlaceholder}数据库
    //{measuringPointNumberOrTechID}测点编码
    String YF_DHV_METH = "/databases/%s/measuringpoints/%s/assignments";


    //测点总值接口
    //{databaseName}
    //{measuringPointNumberOrTechID}
    //{assignmentTechIDorName}
    String YF_DHV_MPV = "/databases/%s/measuringpoints/%s/assignments/%s/results";


    //测点状态电文号=数据库.MPS
    String YF_MPS = "MPS";


    //测点总值电文号=测点.MPV
    String YF_MPV = "MPV";

    //分隔符,用.作为分隔符
    String YF_Separator = ".";

    //转义字符，split("\\.")时使用
    String YF_EscapeCharacter="\\";

    //注意测点状态时间是系统生成的，没有从接口中获取到
    String DateTime = "DateTime";

}
