//package com.cisdi.data.emia.gateway.impl;
//
//import com.cisdi.data.sdk.enums.ByteOrder;
//
//import io.netty.buffer.ByteBuf;
//
///**
// *
//* <p>Title: StandardVoDecode.java</p>
//* <p>Description: 将报文做下一步分解</p>
//* @author lhp
//* @date 2019年3月22日
//* @version 1.0
// */
//public class EmiaProVoDecode {
//
//	public static EmiaProVo Decode(ByteBuf in, ByteOrder byteOrder) {
//
//		EmiaProVo result = new EmiaProVo();
//
//		if(ByteOrder.LITTLEENDIAN.code().equals(byteOrder.code())) {
//			short length = in.readShortLE();
//			short msgId = in.readShortLE();
//			short seq = in.readShortLE();
//			short reserved = in.readShortLE();
//			int deviceId = in.readIntLE();
//			int destDeviceId = in.readIntLE();
//
//			result.setLength(length);
//			result.setMsgKey(String.valueOf(msgId));
//			result.setSeq(seq);
//			result.setReserved(reserved);
//			result.setDeviceId(String.valueOf(deviceId));
//			result.setDestDeviceId(String.valueOf(destDeviceId));
//		}else {
//			short length = in.readShort();
//			short msgId = in.readShort();
//			short seq = in.readShort();
//			short reserved = in.readShort();
//			int deviceId = in.readInt();
//			int destDeviceId = in.readInt();
//
//			result.setLength(length);
//			result.setMsgKey(String.valueOf(msgId));
//			result.setSeq(seq);
//			result.setReserved(reserved);
//			result.setDeviceId(String.valueOf(deviceId));
//			result.setDestDeviceId(String.valueOf(destDeviceId));
//		}
//
//		byte[] bodyBytes = new byte[result.getLength() - 16];
//		in.readBytes(bodyBytes);
//
//		result.setBody(bodyBytes);
//
//		return result;
//	}
//}
