package com.cisdi.data.DHV.gateway.impl;

import com.cisdi.data.DHV.gateway.vo.dhv.OtherParamVO;
import com.cisdi.data.common.exception.BusinessException;
import com.cisdi.data.DHV.gateway.vo.PullHttpTaskStartVo;

/**
 * @author jianghc
 * @function:
 * @date 2022年05月05日 09:37
 */
public class HttpPullTaskBase {
    /**
     * 线程启动参数
     */
    protected PullHttpTaskStartVo startVo = null;

    protected void checkInitParam(PullHttpTaskStartVo taskStartVo, OtherParamVO otherParamVO) {
        if(taskStartVo.getShouldRun() == null
                || taskStartVo.getShouldRun() == null
                || taskStartVo.getHttpParam() == null) {
            throw new BusinessException("永峰设备健康振动数据Http拉取线程启动参数缺失。");
        }
        this.startVo = taskStartVo;
    }
}
